<?php
/*
=============================================
Движок: SHCMS Engine
=============================================
Название файла: Правила
=============================================
Official website: http://shcms.ru
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
$shcmsengine['title'] = 'SHCMS Engine Правила сайта';
include_once'../template/head.php';
registrat();
$adminka ->admin();

$rules = mysql_fetch_array(mysql_query("SELECT * FROM `rules`"));

if($_POST['submit'])
{
$submit = $_POST['submit'];
}
    if(isset($submit))
	{
	
    if($_POST['text'])
    {
    $text = $_POST['text'];
    }
	
	if(empty($text))
	{
	errors('Запрещено оставлять раздел правило пустым');
	include_once'../template/foot.php';
	exit;
	}
	
	$rule = mysql_query("UPDATE `rules` SET `rules` = '$text' WHERE `id`='1' ");
	if($rule == true)
	{
	messag('Правило успешно обновлено');
	header("Refresh: 1; url=?");
	}else
	{
	errors('Возникла ошибка при редактирование правил');
	header("Refresh: 1; url=?");
	}
	}
if($brodilka == "web")
{
					   echo '<div class="border_message">';
                    $text_list->text_lister();
}
echo '<form action="?" method="post" name=form>';
echo '<textarea style="width:98%; height:300px;" name="text">'.$rules['rules'].'</textarea>';
$form->textarea(false,false);

echo '<small>* [post][/post] - Это стиль POSTS<br/>
* [fontred][/fontred] - Это цвет красный<br/> 
* [b][/b] - Это жирный цвет
';

echo '</small>';
include_once'../template/foot.php';
?>